Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jdom
Class IllegalAddException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  java.lang.IllegalArgumentException
                      org.jdom.IllegalAddException

All Implemented Interfaces:
  java.io.Serializable

    public class IllegalAddException

extends java.lang.IllegalArgumentException

Thrown when trying to add a illegal object to a JDOM construct.

See Also:
  Serialized Form

Field Summary
`private static java.lang.String` | `CVS_ID`

Constructor Summary
`IllegalAddException(Comment added, java.lang.String reason)` This will create an `Exception` indicating that the addition of the ``Comment`` to the ``Document`` is illegal.
`IllegalAddException(DocType added, java.lang.String reason)` This will create an `Exception` indicating that the addition of the ``DocType`` to the ``Document`` is illegal.
`IllegalAddException(Element base, Attribute added, java.lang.String reason)` This will create an `Exception` indicating that the addition of the ``Attribute`` to the ``Element`` is illegal.
`IllegalAddException(Element base, CDATA added, java.lang.String reason)` This will create an `Exception` indicating that the addition of the ``CDATA``
`IllegalAddException(Element base, Comment added, java.lang.String reason)` This will create an `Exception` indicating that the addition of the ``Comment`` to the ``Element`` is illegal.
`IllegalAddException(Element base, Element added, java.lang.String reason)` This will create an `Exception` indicating that the addition of the ``Element`` to parent is illegal.
`IllegalAddException(Element base, EntityRef added, java.lang.String reason)` This will create an `Exception` indicating that the addition of the ``EntityRef`` to the ``Element`` is illegal.
`IllegalAddException(Element base, Namespace added, java.lang.String reason)` This will create an `Exception` indicating that the addition of the ``Namespace`` to the ``Element`` is illegal.
`IllegalAddException(Element base, ProcessingInstruction added, java.lang.String reason)` This will create an `Exception` indicating that the addition of the ``ProcessingInstruction`` to the ``Element`` is illegal.
`IllegalAddException(Element added, java.lang.String reason)` This will create an `Exception` indicating that the addition of the ``Element`` to the ``Document`` is illegal.
`IllegalAddException(Element base, Text added, java.lang.String reason)` This will create an `Exception` indicating that the addition of the ``Text`` to the ``Element`` is illegal.
`IllegalAddException(ProcessingInstruction added, java.lang.String reason)` This will create an `Exception` indicating that the addition of the ``ProcessingInstruction`` to the ``Document`` is illegal.
`IllegalAddException(java.lang.String reason)` This will create an `Exception` with the specified error message.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### CVS_ID

    private static final java.lang.String CVS_ID

See Also:
  Constant Field Values

Constructor Detail

### IllegalAddException

    IllegalAddException(Element base,
                        Attribute added,
                        java.lang.String reason)

  This will create an `Exception` indicating that the addition of the ``Attribute`` to the ``Element`` is illegal.

  Parameters:
    `base` - `Element` that `Attribute` couldn't be added to
    `added` - `Attribute` that could not be added
    `reason` - cause of the problem

### IllegalAddException

    IllegalAddException(Element base,
                        Element added,
                        java.lang.String reason)

  This will create an `Exception` indicating that the addition of the ``Element`` to parent is illegal.

  Parameters:
    `base` - `Element` that the child couldn't be added to
    `added` - `Element` that could not be added
    `reason` - cause of the problem

### IllegalAddException

    IllegalAddException(Element added,
                        java.lang.String reason)

  This will create an `Exception` indicating that the addition of the ``Element`` to the ``Document`` is illegal.

  Parameters:
    `added` - `Element` that could not be added
    `reason` - cause of the problem

### IllegalAddException

    IllegalAddException(Element base,
                        ProcessingInstruction added,
                        java.lang.String reason)

  This will create an `Exception` indicating that the addition of the ``ProcessingInstruction`` to the ``Element`` is illegal.

  Parameters:
    `base` - `Element` that the `ProcessingInstruction` couldn't be added to
    `added` - `ProcessingInstruction` that could not be added
    `reason` - cause of the problem

### IllegalAddException

    IllegalAddException(ProcessingInstruction added,
                        java.lang.String reason)

  This will create an `Exception` indicating that the addition of the ``ProcessingInstruction`` to the ``Document`` is illegal.

  Parameters:
    `added` - `ProcessingInstruction` that could not be added
    `reason` - cause of the problem

### IllegalAddException

    IllegalAddException(Element base,
                        Comment added,
                        java.lang.String reason)

  This will create an `Exception` indicating that the addition of the ``Comment`` to the ``Element`` is illegal.

  Parameters:
    `base` - `Element` that the `Comment` couldn't be added to
    `added` - `Comment` that could not be added
    `reason` - cause of the problem

### IllegalAddException

    IllegalAddException(Element base,
                        CDATA added,
                        java.lang.String reason)

  This will create an `Exception` indicating that the addition of the ``CDATA``

  Parameters:
    `base` - `Element` that the `CDATA` couldn't be added to
    `added` - `CDATA` that could not be added
    `reason` - cause of the problem

### IllegalAddException

    IllegalAddException(Element base,
                        Text added,
                        java.lang.String reason)

  This will create an `Exception` indicating that the addition of the ``Text`` to the ``Element`` is illegal.

  Parameters:
    `base` - `Element` that the `Comment` couldn't be added to
    `added` - `Text` that could not be added
    `reason` - cause of the problem

### IllegalAddException

    IllegalAddException(Comment added,
                        java.lang.String reason)

  This will create an `Exception` indicating that the addition of the ``Comment`` to the ``Document`` is illegal.

  Parameters:
    `added` - `Comment` that could not be added
    `reason` - cause of the problem

### IllegalAddException

    IllegalAddException(Element base,
                        EntityRef added,
                        java.lang.String reason)

  This will create an `Exception` indicating that the addition of the ``EntityRef`` to the ``Element`` is illegal.

  Parameters:
    `base` - `Element` that the `EntityRef` couldn't be added to
    `added` - `EntityRef` reference that could not be added
    `reason` - cause of the problem

### IllegalAddException

    IllegalAddException(Element base,
                        Namespace added,
                        java.lang.String reason)

  This will create an `Exception` indicating that the addition of the ``Namespace`` to the ``Element`` is illegal.

  Parameters:
    `base` - `Element` that the `Namespace` couldn't be added to
    `added` - `Namespace` that could not be added
    `reason` - cause of the problem

### IllegalAddException

    IllegalAddException(DocType added,
                        java.lang.String reason)

  This will create an `Exception` indicating that the addition of the ``DocType`` to the ``Document`` is illegal.

  Parameters:
    `added` - `DocType` that could not be added
    `reason` - cause of the problem

### IllegalAddException

    public IllegalAddException(java.lang.String reason)

  This will create an `Exception` with the specified error message.

  Parameters:
    `reason` - cause of the problem

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD